<style type="text/css">
div.dataTables_wrapper {
    margin: 0 auto;
}
</style>
<script type="text/javascript">
$(function(){
    dTable = $('table').DataTable({
        "ajax": {
            "url": "<?=$datatable['ajaxpath'];?>",
            "type": "POST",
        },
        // 直接支援php 配置render : function(){}
        "columns": <?=preg_replace(["/\"#/","/#\"/"], ['',''], str_replace('\/','/', str_replace('\n','', $datatable['columns'])) );?>,
    });
    // 載入單欄搜尋作法(直接透過php配置參數)
    <?php if( !empty($datatable['yadcf']) ): ?>
    yadcf.init(dTable, <?=$datatable['yadcf'];?>, {"filters_tr_index":1});
    <?php endif ?>

    <?php if( !empty($datatable['x-editable']) ): ?>
    dTable.on( 'draw.dt', function () {
        $(".edit-text").editable();
    });
    <?php endif ?>
});
</script>
